package cn.ninegame.genericframework.basic;

import java.util.HashMap;

/**
 * <p>Title: ucweb</p>
 * <p/>
 * <p>Description: </p>
 * 统计接口，用于框架内部统计
 * <p>Copyright: Copyright (c) 2015</p>
 * <p/>
 * <p>Company: ucweb.com</p>
 *
 * @author ZhuZhiFan (zhuzf@ucweb.com)
 * @date 2015/11/5
 */
public interface IStatDelegate {
    /**
     * 增加一条统计记录
     * @param category 统计所属分类
     * @param bodies 统计内容， 由键值对组成
     */
    public void addStat(String category, HashMap<String, String> bodies);

    /**
     * 强制统计记录落地
     */
    public void flush();
}
