package cn.ninegame.genericframework.module.flashbuild;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
 * Created by lingcong on 2016/11/29.
 */
public class FlashbuildReceiver extends BroadcastReceiver {

    public static final String INTENT_ACTION = "cn.ninegame.gundam.flashinstall";
    public static final String INTENT_KEY_MODULEID = "flashbuild_key_moduleid";

    @Override
    public void onReceive(final Context context, Intent intent) {
        if (intent == null) {
            throw new IllegalArgumentException("FlashbuildReceiver receive null data");
        }

        final String moduleID = intent.getStringExtra(INTENT_KEY_MODULEID);

        new Thread(new Runnable() {
            @Override
            public void run() {
                new FlashbuildInstaller(context,moduleID).install();
            }
        }).start();
    }
}
